<?php
include "../session.php"; 

if($role!="ADMIN"){
  header("Location:index.php");
  die();
}


include "conect.php";
 

date_default_timezone_set('America/Guatemala');
$date=date("Y-m-d");
$hora=date('H:i:s');

$codigoErId=$_POST['codigoErId'];
$codigoUsEr=$_POST['codigoUsEr'];
$usuarioAut=$_POST['usuarioAut'];
$rolAut=$_POST['rolAut'];




$consulta1 = mysqli_query($con, "SELECT * FROM ventas WHERE ID='$codigoErId'AND CODIGO_AS='$codigoUsEr'");
$conteo1   = mysqli_num_rows($consulta1);

if ($conteo1>0) {


$actualizacion = mysqli_query($con, "UPDATE ventas SET STATUS='anulado', USR_ANULADO='$usuarioAut', DATE_ANULADO='$date', HORA_ANUL='$hora' WHERE ID='$codigoErId'AND CODIGO_AS='$codigoUsEr'");

$consulta = mysqli_query($con, "SELECT * FROM ventas WHERE ID='$codigoErId'");
$conteo   = mysqli_num_rows($consulta);

if ($conteo>0) {

?>


<table class="tableRegular"> 

  <tr>
    <th>ID</th>
    <th>C.Asociado</th>
     <th>N.Asociado</th>
    <th>Valor</th>
    <th>Fecha</th>
    <th>Hora</th>
    <th>Estado</th>
    
    
    
  </tr>

<?php 




while ($row3 = mysqli_fetch_array($consulta)) {

                  $id = $row3['ID'];
                  $codigo_as = $row3['CODIGO_AS'];
                  $nombre_as = $row3['NOMBRE_AS'];
                  $total = $row3['TOTAL'];
                  $fechaIng = $row3['DATE_ING'];
                  $horaIng = $row3['HORA_INGRESO'];
                  $status = $row3['STATUS'];



                   ?>

                  <tr>
                      
                    <td><?php echo $id; ?></td>
                    <td><?php echo $codigo_as; ?></td>
                    <td><?php echo $nombre_as; ?></td>
                    <td> <?php echo $total; ?> </td>
                    <td><?php echo $fechaIng; ?></td>
                    <td><?php echo $horaIng; ?></td>
                    <td><?php echo $status; ?></td>
                   
                   </tr>

                   <?php 
                    

                }




                ?>

 
 </table>

<?php 

  
}


  
}
else {
  echo "0";
}


   ?>


        

